﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 10.0.150.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/04/2024 9:03:37
-- Server version: 8.2.0
--

--
-- Disable foreign keys
--
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

--
-- Set SQL mode
--
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

--
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS compranp;

CREATE DATABASE compranp
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE compranp;

--
-- Create table `poblacion`
--
CREATE TABLE poblacion (
  idPob int NOT NULL,
  nombre varchar(50) DEFAULT NULL,
  PRIMARY KEY (idPob)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb3,
COLLATE utf8mb3_spanish_ci,
ROW_FORMAT = DYNAMIC;

--
-- Create table `clientes`
--
CREATE TABLE clientes (
  codCli int NOT NULL AUTO_INCREMENT,
  nombre varchar(50) DEFAULT NULL,
  apellidos varchar(50) NOT NULL,
  fechaNac date DEFAULT NULL,
  poblacion int NOT NULL,
  numeroProductos int DEFAULT NULL,
  PRIMARY KEY (codCli)
)
ENGINE = INNODB,
AUTO_INCREMENT = 9,
AVG_ROW_LENGTH = 5461,
CHARACTER SET utf8mb3,
COLLATE utf8mb3_spanish_ci,
ROW_FORMAT = DYNAMIC;

--
-- Create foreign key
--
ALTER TABLE clientes
ADD CONSTRAINT fkClientesPoblacion FOREIGN KEY (poblacion)
REFERENCES poblacion (idPob) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `productos`
--
CREATE TABLE productos (
  codPro int NOT NULL,
  nombre varchar(50) DEFAULT NULL,
  precio float DEFAULT NULL,
  numeroClientes int DEFAULT 0,
  PRIMARY KEY (codPro)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb3,
COLLATE utf8mb3_spanish_ci,
ROW_FORMAT = DYNAMIC;

--
-- Create table `compran`
--
CREATE TABLE compran (
  idCompran int NOT NULL AUTO_INCREMENT,
  codCli int NOT NULL,
  codPro int NOT NULL,
  numeroProductos int DEFAULT NULL,
  PRIMARY KEY (idCompran)
)
ENGINE = INNODB,
AUTO_INCREMENT = 46,
AVG_ROW_LENGTH = 5461,
CHARACTER SET utf8mb3,
COLLATE utf8mb3_spanish_ci,
ROW_FORMAT = DYNAMIC;

--
-- Create index `ukcompran` on table `compran`
--
ALTER TABLE compran
ADD UNIQUE INDEX ukcompran (codCli, codPro);

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT fkcompranclientes FOREIGN KEY (codCli)
REFERENCES clientes (codCli) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE compran
ADD CONSTRAINT fkcompranproductos FOREIGN KEY (codPro)
REFERENCES productos (codPro) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `compranp`
--
CREATE TABLE compranp (
  idCompran int NOT NULL,
  fecha date NOT NULL,
  cantidad int DEFAULT NULL,
  total float DEFAULT NULL,
  PRIMARY KEY (idCompran, fecha)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET utf8mb3,
COLLATE utf8mb3_spanish_ci,
ROW_FORMAT = DYNAMIC;

--
-- Create foreign key
--
ALTER TABLE compranp
ADD CONSTRAINT fkcompranpCompran FOREIGN KEY (idCompran)
REFERENCES compran (idCompran) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table poblacion
--
INSERT INTO poblacion VALUES
(1, 'santander'),
(2, 'Laredo'),
(3, 'Reinosa'),
(4, 'Santoña'),
(5, 'Solares'),
(6, 'Noja'),
(7, 'Torrelavega'),
(8, 'Isla'),
(9, 'Muriedas'),
(10, 'Astillero');

-- 
-- Dumping data for table productos
--
INSERT INTO productos VALUES
(1, 'chorizo', 100, 0),
(2, 'bolis', 2, 1),
(3, 'goma\r\n', 1, 3),
(4, 'bloc pequeño', 10, 3),
(5, 'bloc grande', 18, 3),
(6, 'bloc anillas', 15, 3),
(7, 'paquete folios 100', 12, 3),
(8, 'paquete folios 500', 20, 3),
(9, 'portaminas', 5, 3),
(10, 'regla', 30, 3),
(101, 'raro', 10, 0),
(102, 'morcilla', 10, 0);

-- 
-- Dumping data for table clientes
--
INSERT INTO clientes VALUES
(1, 'Eva', 'Gomez', '2021-02-11', 1, 10),
(2, 'Ana', 'Lopez', '2021-02-11', 1, 9),
(3, 'Jose', 'Ruiz', '2021-02-11', 2, 1),
(4, 'Roberto', 'Abramo', NULL, 4, 2),
(5, 'Luis', 'Sanz', '2021-02-11', 2, 1),
(6, 'Raul', 'Gutierrez', NULL, 3, 3),
(7, 'Rosa', 'Feijoo', NULL, 8, 3),
(8, 'Ramon', 'Abramo', '2021-02-11', 1, NULL);

-- 
-- Dumping data for table compran
--
INSERT INTO compran VALUES
(1, 1, 1, 122),
(2, 1, 2, 66),
(3, 3, 1, 10),
(4, 4, 1, NULL),
(5, 2, 1, 3),
(6, 5, 6, NULL),
(7, 1, 3, NULL),
(8, 1, 4, 34),
(9, 1, 5, NULL),
(10, 1, 6, NULL),
(11, 1, 7, NULL),
(12, 1, 8, NULL),
(13, 1, 9, NULL),
(14, 1, 10, NULL),
(15, 2, 3, NULL),
(16, 2, 4, NULL),
(17, 2, 5, NULL),
(18, 2, 6, NULL),
(19, 2, 7, NULL),
(20, 2, 8, NULL),
(21, 2, 9, NULL),
(22, 2, 10, NULL),
(39, 6, 3, NULL),
(40, 7, 4, NULL),
(41, 7, 5, NULL),
(42, 6, 7, NULL),
(43, 4, 8, NULL),
(44, 7, 9, NULL),
(45, 6, 10, NULL);

-- 
-- Dumping data for table compranp
--
INSERT INTO compranp VALUES
(1, '2020-01-02', 25, 250),
(1, '2020-01-03', 25, 250),
(1, '2020-01-04', 25, 250),
(1, '2020-01-05', 25, 250),
(1, '2020-01-10', 5, 50),
(1, '2020-11-04', 2, 20),
(1, '2020-11-06', 15, 150),
(2, '2020-01-05', 4, 40),
(2, '2020-01-06', 47, 470),
(2, '2020-01-07', 10, 100),
(2, '2020-11-09', 5, 50),
(3, '2020-11-02', 10, 100),
(5, '2021-01-05', 3, 27),
(8, '2021-02-05', 34, 306);

--
-- Restore previous SQL mode
--
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

--
-- Enable foreign keys
--
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;